package com.ruoyi.common.utils.excel;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.ruoyi.project.VRdemo.mapper.DataExcelMapper;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.List;

/**
 * 导入监听器
  */
public class ImportListener<T> extends AnalysisEventListener<T> {

    private final List<T> dataList = new ArrayList<>();

    public List<T> getDataList(){
        return dataList;
    }

    @Override
    public void invoke(T t, AnalysisContext analysisContext) {
        dataList.add(t);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }

}
