package com.ruoyi.project.VRdemo.domain.imData;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.utils.excel.DataConverter;
import com.ruoyi.project.VRdemo.domain.SpecialCollection;

public class SpecialCollectionImData implements BaseImData<SpecialCollectionImData, SpecialCollection> {

    @ExcelProperty("id")
    private Long id;

    @ExcelProperty("标题")
    private String title;

    @ExcelProperty("内容")
    private String content;

    @ExcelProperty("网址")
    private String link;

    @ExcelIgnore
    DataConverter<SpecialCollectionImData, SpecialCollection> converter = new DataConverter<>() {
        @Override
        public SpecialCollection convert(SpecialCollectionImData collectionImData) {
            SpecialCollection specialCollection = new SpecialCollection();
            specialCollection.setId(collectionImData.getId());
            specialCollection.setTitle(collectionImData.getTitle());
            specialCollection.setContent(collectionImData.getContent());
            specialCollection.setLink(collectionImData.getLink());
            return specialCollection;
        }
    };

    @Override
    public DataConverter<SpecialCollectionImData, SpecialCollection> getConverter() {
        return converter;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getLink() {
        return link;
    }
}
