package com.ruoyi.project.VRdemo.domain.imData;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;

public class StudyImData {
    /** 自增id */
    @ExcelIgnore
    private Long id;

    /** 所属企业id */
    @ExcelIgnore
    private Long companyId;

    /** 数据类别 */
    @ExcelIgnore
    private Long dataType;

    /** 标题 */
    @ExcelProperty("标题")
    private String title;

    @ExcelProperty("长标题")
    private String longTitle;

    /** 年份 */
    @ExcelProperty("年份")
    private String year;

    /** 月份 */
    @ExcelProperty("月份")
    private String month;

    /** 作者 */
    @ExcelProperty("作者")
    private String author;

    /** 文档路径 */
    @ExcelIgnore
    private String path;

    /** 文档链接 */
    @ExcelIgnore
    private String url;

    /** 创建时间 */
    @ExcelProperty("创建时间")
    private String create_time ;

    /** 创建者 */
    @ExcelProperty("更新时间")
    private String update_time;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getDataType() {
        return dataType;
    }

    public void setDataType(Long dataType) {
        this.dataType = dataType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getLongTitle() {
        return longTitle;
    }

    public void setLongTitle(String longTitle) {
        this.longTitle = longTitle;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public String getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(String update_time) {
        this.update_time = update_time;
    }
}
